Subject: bug#67031: [PATCH] Fix typescript-ts-mode indentation in unbracketed statements

From: Noah Peart <[email-masked]>
Date: Sat, 18 Nov 2023 23:19:24 -0800

I don't think the test runs when it doesn't find a typescript parser.  Ill
double check
tomorrow, but temporarily adding a treesit-extra load path should be ok.

Thanks

On Sat, Nov 18, 2023 at 10:08 PM Eli Zaretskii <[email-masked]> wrote:

> > Date: Sun, 19 Nov 2023 03:24:49 +0200
> > Cc: [email-masked], [email-masked]
> > From: Dmitry Gutov <[email-masked]>
> >
> > On 19/11/2023 02:12, Noah Peart wrote:
> > > Yea, I can do that.
> > >
> > > Is there a recipe for running the tests with a tree-sitter library
> path?
> >
> > You mean with the default tree-sitter librayr path overridden? I'm not
> sure.
>
> Why would an ERT test need that?  We are supposed to test Emacs with
> the otherwise installed system features.  As tree-sitter grammars are
> not part of Emacs, there should be no need to tell Emacs to use a
> grammar library other than the one installed on the system.  Right?
>